%define _unpackaged_files_terminate_build 0

%define _java_ver		1.8.0
%define _java_rel		20
%define _java_home		/usr/java

%define java_rel		%{_java_rel}

#
# Don't make debug package
#
%define debug_package %{nil}

#
# Don't strip binary
# if follow define list is set, change first character # to %
# (#)(%)define is not permitted, only (#)define (for comment) or (%)define
#
%define __spec_install_post %{nil}
%define __find_requires %{nil}
%define _use_internal_dependency_generator 0
%define __jar_repack %{nil}

Summary: Java(TM) Platform Standard Edition Development Kit
Name: oracle-jdk
Version: %{_java_ver}
Release: %{_java_rel}%{?dist}
Epoch: 0
Group: Development/Tools
License: Oracle Binary Code License (BCL)
URL: http://www.oracle.com/technetwork/java/javase/downloads/index.html
#Source0: jdk-%{version}_%{java_rel}.tar.bz2
Source1: jdk.profile.csh
Source2: jdk.profile.sh
Source3: fontconfig.properties
Source4: ko-fonts.tar.gz
Source100: jdk-mksource.sh
Buildroot: %{_tmppath}/jdk-%{version}_%{java_rel}-root
Requires: /bin/basename /bin/cat /bin/cp /bin/gawk /bin/grep
Requires: /bin/ln /bin/ls /bin/mkdir /bin/mv /bin/pwd /bin/rm
Requires: /bin/sed /bin/sort /bin/touch /usr/bin/cut /usr/bin/dirname
Requires: /usr/bin/expr /usr/bin/find /usr/bin/tail /usr/bin/tr
Requires: /usr/bin/wc /bin/sh
Conflicts: jdk
BuildRequires: wget

%description
The Java Platform Standard Edition Development Kit (JDK) includes both
the runtime environment (Java virtual machine, the Java platform classes
and supporting files) and development tools (compilers, debuggers,
tool libraries and other tools).

The JDK is a development environment for building applications, applets
and components that can be deployed with the Java Platform Standard
Edition Runtime Environment.

%prep
%setup -c -T -n jdk-%{version}_%{java_rel}

bash %{SOURCE100} %{_java_ver}_%{_java_rel} %{_arch}

%build

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__rm} -f jre/lib/fontconfig.*
%{__install} -m644 %{SOURCE3} jre/lib/fontconfig.properties
#perl -pi -e "s/\@ARCH\@/${carch}/g" jre/lib/fontconfig.properties
tar xvfpz %{SOURCE4}

cp -af ../include ../src.zip ./

if [ "%{_arch}" = "x86_64" ]; then
	find . -type d | sed -e 's!^\.!\%dir %{_java_home}/jdk-%{version}_%{java_rel}/x86_64!g' > /tmp/jdk.list
	find . -type f -o -type l | sed -e 's!^\.!%{_java_home}/jdk-%{version}_%{java_rel}/x86_64!g' >> /tmp/jdk.list
else
	find . -type d | sed -e 's!^\.!\%dir %{_java_home}/jdk-%{version}_%{java_rel}/i386!g' > /tmp/jdk.list
	find . -type f -o -type l | sed -e 's!^\.!%{_java_home}/jdk-%{version}_%{java_rel}/i386!g' >> /tmp/jdk.list
fi

popd

%install
# create directorys 
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} -p %{buildroot}%{_sysconfdir}/profile.d

%{__install} -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/jdk.csh
%{__install} -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/jdk.sh

#cp -af etc/.java/ %{buildroot}%{_sysconfdir}/

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__mkdir_p} -p %{buildroot}%{_java_home}/jdk-%{version}_%{java_rel}/${carch}
cp -af * %{buildroot}%{_java_home}/jdk-%{version}_%{java_rel}/${carch}/
popd

%clean
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}
%{__rm} -f /tmp/jdk.list

%post
[ -L "%{_java_home}/latest" ] && %{__rm} -f %{_java_home}/latest
if [ "`/bin/uname -m`" = "x86_64" ]; then
	ln -sf %{_java_home}/jdk-%{version}_%{java_rel}/x86_64 %{_java_home}/latest
else
	ln -sf %{_java_home}/jdk-%{version}_%{java_rel}/i386 %{_java_home}/latest
fi

if [ ! -f "%{_java_home}/default" ]; then
	ln -sf %{_java_home}/latest %{_java_home}/default
fi

%files -f /tmp/jdk.list
%defattr(-,root,root)
#{_sysconfdir}/.java
%{_sysconfdir}/profile.d/jdk.csh
%{_sysconfdir}/profile.d/jdk.sh

%changelog
* Fri Sep 29 2014 JoungKyun.Kim <http://oops.org> 0:1.8.0-20%{?dist}
- update 1.8.0 u20

